Index: /palm/trunk/SOURCE/advec_ws.f90
===================================================================
--- /palm/trunk/SOURCE/advec_ws.f90	(revision 1352)
+++ /palm/trunk/SOURCE/advec_ws.f90	(revision 1353)
@@ -20,5 +20,7 @@
 ! Current revisions:
 ! ------------------
-!
+! REAL constants provided with KIND-attribute,
+! module kinds added
+! some formatting adjustments
 !
 ! Former revisions:
@@ -116,6 +118,6 @@
 
     PRIVATE
-    PUBLIC   advec_s_ws, advec_s_ws_acc, advec_u_ws, advec_u_ws_acc, &
-             advec_v_ws, advec_v_ws_acc, advec_w_ws, advec_w_ws_acc, &
+    PUBLIC   advec_s_ws, advec_s_ws_acc, advec_u_ws, advec_u_ws_acc,          &
+             advec_v_ws, advec_v_ws_acc, advec_w_ws, advec_w_ws_acc,          &
              ws_init, ws_statistics
 
@@ -187,5 +189,7 @@
 
        USE indices,                                                            &
-           ONLY:  nyn, nys, nzb, nzt  
+           ONLY:  nyn, nys, nzb, nzt
+
+       USE kinds
        
        USE pegrid
@@ -214,9 +218,9 @@
                     sums_ws2_ws_l(nzb:nzt+1,0:threads_per_task-1) )
 
-          sums_wsus_ws_l = 0.0
-          sums_wsvs_ws_l = 0.0
-          sums_us2_ws_l  = 0.0
-          sums_vs2_ws_l  = 0.0
-          sums_ws2_ws_l  = 0.0
+          sums_wsus_ws_l = 0.0_wp
+          sums_wsvs_ws_l = 0.0_wp
+          sums_us2_ws_l  = 0.0_wp
+          sums_vs2_ws_l  = 0.0_wp
+          sums_ws2_ws_l  = 0.0_wp
 
        ENDIF
@@ -225,9 +229,9 @@
 
           ALLOCATE( sums_wspts_ws_l(nzb:nzt+1,0:threads_per_task-1) )
-          sums_wspts_ws_l = 0.0
+          sums_wspts_ws_l = 0.0_wp
 
           IF ( humidity  .OR.  passive_scalar )  THEN
              ALLOCATE( sums_wsqs_ws_l(nzb:nzt+1,0:threads_per_task-1) )
-             sums_wsqs_ws_l = 0.0
+             sums_wsqs_ws_l = 0.0_wp
           ENDIF
 
@@ -236,11 +240,11 @@
              ALLOCATE( sums_wsqrs_ws_l(nzb:nzt+1,0:threads_per_task-1) )
              ALLOCATE( sums_wsnrs_ws_l(nzb:nzt+1,0:threads_per_task-1) )
-             sums_wsqrs_ws_l = 0.0
-             sums_wsnrs_ws_l = 0.0
+             sums_wsqrs_ws_l = 0.0_wp
+             sums_wsnrs_ws_l = 0.0_wp
           ENDIF
 
           IF ( ocean )  THEN
              ALLOCATE( sums_wssas_ws_l(nzb:nzt+1,0:threads_per_task-1) )
-             sums_wssas_ws_l = 0.0
+             sums_wssas_ws_l = 0.0_wp
           ENDIF
 
@@ -324,4 +328,6 @@
                   precipitation, ocean, ws_scheme_mom, ws_scheme_sca
 
+       USE kinds
+
        USE statistics,                                                         &
            ONLY:  sums_us2_ws_l, sums_vs2_ws_l, sums_ws2_ws_l, sums_wsnrs_ws_l,&
@@ -335,20 +341,20 @@
 !--    beginning of prognostic_equations.
        IF ( ws_scheme_mom )  THEN
-          sums_wsus_ws_l = 0.0
-          sums_wsvs_ws_l = 0.0
-          sums_us2_ws_l  = 0.0
-          sums_vs2_ws_l  = 0.0
-          sums_ws2_ws_l  = 0.0
+          sums_wsus_ws_l = 0.0_wp
+          sums_wsvs_ws_l = 0.0_wp
+          sums_us2_ws_l  = 0.0_wp
+          sums_vs2_ws_l  = 0.0_wp
+          sums_ws2_ws_l  = 0.0_wp
        ENDIF
 
        IF ( ws_scheme_sca )  THEN
-          sums_wspts_ws_l = 0.0
-          IF ( humidity  .OR.  passive_scalar )  sums_wsqs_ws_l = 0.0
+          sums_wspts_ws_l = 0.0_wp
+          IF ( humidity  .OR.  passive_scalar )  sums_wsqs_ws_l = 0.0_wp
           IF ( cloud_physics  .AND.  icloud_scheme == 0  .AND.                 &
                precipitation )  THEN
-             sums_wsqrs_ws_l = 0.0
-             sums_wsnrs_ws_l = 0.0
+             sums_wsqrs_ws_l = 0.0_wp
+             sums_wsnrs_ws_l = 0.0_wp
           ENDIF
-          IF ( ocean )  sums_wssas_ws_l = 0.0
+          IF ( ocean )  sums_wssas_ws_l = 0.0_wp
 
        ENDIF
@@ -446,32 +452,32 @@
 
              v_comp                  = v(k,j,i) - v_gtrans
-             swap_flux_y_local(k,tn) = v_comp * (                             &
-                                                  ( 37.0 * ibit5 * adv_sca_5  &
-                                               +     7.0 * ibit4 * adv_sca_3  &
-                                               +           ibit3 * adv_sca_1  &
-                                                  ) *                         &
+             swap_flux_y_local(k,tn) = v_comp *         (                     &
+                                               ( 37.0_wp * ibit5 * adv_sca_5  &
+                                            +     7.0_wp * ibit4 * adv_sca_3  &
+                                            +              ibit3 * adv_sca_1  &
+                                               ) *                            &
                                            ( sk(k,j,i)  + sk(k,j-1,i)     )   &
-                                            -     (  8.0 * ibit5 * adv_sca_5  &
-                                               +           ibit4 * adv_sca_3  &
-                                                   ) *                        &
+                                         -     (  8.0_wp * ibit5 * adv_sca_5  &
+                                            +              ibit4 * adv_sca_3  &
+                                                ) *                           &
                                            ( sk(k,j+1,i) + sk(k,j-2,i)    )   &
-                                           +      (        ibit5 * adv_sca_5  &
-                                                  ) *                         &
+                                         +     (           ibit5 * adv_sca_5  &
+                                               ) *                            &
                                            ( sk(k,j+2,i) + sk(k,j-3,i)    )   &
-                                                )
+                                                        )
 
              swap_diss_y_local(k,tn) = -ABS( v_comp ) * (                     &
-                                                  ( 10.0 * ibit5 * adv_sca_5  &
-                                               +     3.0 * ibit4 * adv_sca_3  &
-                                               +           ibit3 * adv_sca_1  &
-                                                  ) *                         &
-                                            ( sk(k,j,i)   - sk(k,j-1,i)    )  &
-                                           -      (  5.0 * ibit5 * adv_sca_5  &
-                                               +           ibit4 * adv_sca_3  &
+                                               ( 10.0_wp * ibit5 * adv_sca_5  &
+                                            +     3.0_wp * ibit4 * adv_sca_3  &
+                                            +              ibit3 * adv_sca_1  &
+                                               ) *                            &
+                                            ( sk(k,j,i)   - sk(k,j-1,i)  )    &
+                                        -      (  5.0_wp * ibit5 * adv_sca_5  &
+                                            +              ibit4 * adv_sca_3  &
                                             ) *                               &
                                             ( sk(k,j+1,i) - sk(k,j-2,i)  )    &
-                                           +      (        ibit5 * adv_sca_5  &
-                                                  ) *                         &
-                                            ( sk(k,j+2,i) - sk(k,j-3,i) )     &
+                                        +      (           ibit5 * adv_sca_5  &
+                                               ) *                            &
+                                            ( sk(k,j+2,i) - sk(k,j-3,i)  )    &
                                                         )
 
@@ -482,14 +488,14 @@
 
              v_comp                  = v(k,j,i) - v_gtrans
-             swap_flux_y_local(k,tn) = v_comp * (                            &
-                                    37.0 * ( sk(k,j,i)   + sk(k,j-1,i) )     &
-                                  -  8.0 * ( sk(k,j+1,i) + sk(k,j-2,i) )     &
-                                  +        ( sk(k,j+2,i) + sk(k,j-3,i) )     &
-                                             ) * adv_sca_5
-              swap_diss_y_local(k,tn) = -ABS( v_comp ) * (                   &
-                                    10.0 * ( sk(k,j,i)   - sk(k,j-1,i) )     &
-                                  -  5.0 * ( sk(k,j+1,i) - sk(k,j-2,i) )     &
-                                  +          sk(k,j+2,i) - sk(k,j-3,i)       &
-                                                        ) * adv_sca_5
+             swap_flux_y_local(k,tn) = v_comp * (                             &
+                                    37.0_wp * ( sk(k,j,i)   + sk(k,j-1,i) )   &
+                                  -  8.0_wp * ( sk(k,j+1,i) + sk(k,j-2,i) )   &
+                                  +           ( sk(k,j+2,i) + sk(k,j-3,i) )   &
+                                                ) * adv_sca_5
+              swap_diss_y_local(k,tn) = -ABS( v_comp ) * (                    &
+                                    10.0_wp * ( sk(k,j,i)   - sk(k,j-1,i) )   &
+                                  -  5.0_wp * ( sk(k,j+1,i) - sk(k,j-2,i) )   &
+                                  +             sk(k,j+2,i) - sk(k,j-3,i)     &
+                                                         ) * adv_sca_5
 
           ENDDO
@@ -508,31 +514,31 @@
              u_comp                     = u(k,j,i) - u_gtrans
              swap_flux_x_local(k,j,tn) = u_comp * (                           &
-                                                  ( 37.0 * ibit2 * adv_sca_5  &
-                                               +     7.0 * ibit1 * adv_sca_3  &
-                                               +           ibit0 * adv_sca_1  &
-                                                  ) *                         &
+                                               ( 37.0_wp * ibit2 * adv_sca_5  &
+                                            +     7.0_wp * ibit1 * adv_sca_3  &
+                                            +              ibit0 * adv_sca_1  &
+                                               ) *                            &
                                             ( sk(k,j,i)   + sk(k,j,i-1)    )  &
-                                           -      (  8.0 * ibit2 * adv_sca_5  &
-                                               +           ibit1 * adv_sca_3  &
-                                                  ) *                         &
+                                        -      (  8.0_wp * ibit2 * adv_sca_5  &
+                                            +              ibit1 * adv_sca_3  &
+                                               ) *                            &
                                             ( sk(k,j,i+1) + sk(k,j,i-2)    )  &
-                                           +      (        ibit2 * adv_sca_5  &
-                                                  ) *                         &
+                                        +      (           ibit2 * adv_sca_5  &
+                                               ) *                            &
                                             ( sk(k,j,i+2) + sk(k,j,i-3)    )  &
                                                   )
 
               swap_diss_x_local(k,j,tn) = -ABS( u_comp ) * (                  &
-                                                  ( 10.0 * ibit2 * adv_sca_5  &
-                                               +     3.0 * ibit1 * adv_sca_3  &
-                                               +           ibit0 * adv_sca_1  &
-                                                  ) *                         &
+                                               ( 10.0_wp * ibit2 * adv_sca_5  &
+                                            +     3.0_wp * ibit1 * adv_sca_3  &
+                                            +              ibit0 * adv_sca_1  &
+                                               ) *                            &
                                             ( sk(k,j,i)   - sk(k,j,i-1)    )  &
-                                           -      (  5.0 * ibit2 * adv_sca_5  &
-                                               +           ibit1 * adv_sca_3  &
-                                                  ) *                         &
-                                            ( sk(k,j,i+1) - sk(k,j,i-2)  )    &
-                                           +      (        ibit2 * adv_sca_5  &
-                                                  ) *                         &
-                                            ( sk(k,j,i+2) - sk(k,j,i-3) )     &
+                                        -      (  5.0_wp * ibit2 * adv_sca_5  &
+                                            +              ibit1 * adv_sca_3  &
+                                               ) *                            &
+                                            ( sk(k,j,i+1) - sk(k,j,i-2)    )  &
+                                        +      (           ibit2 * adv_sca_5  &
+                                               ) *                            &
+                                            ( sk(k,j,i+2) - sk(k,j,i-3)    )  &
                                                            )
 
@@ -542,14 +548,14 @@
 
              u_comp                 = u(k,j,i) - u_gtrans
-             swap_flux_x_local(k,j,tn) = u_comp * (                          &
-                                      37.0 * ( sk(k,j,i)   + sk(k,j,i-1) )   &
-                                    -  8.0 * ( sk(k,j,i+1) + sk(k,j,i-2) )   &
-                                    +        ( sk(k,j,i+2) + sk(k,j,i-3) )   &
+             swap_flux_x_local(k,j,tn) = u_comp * (                           &
+                                      37.0_wp * ( sk(k,j,i)   + sk(k,j,i-1) ) &
+                                    -  8.0_wp * ( sk(k,j,i+1) + sk(k,j,i-2) ) &
+                                    +           ( sk(k,j,i+2) + sk(k,j,i-3) ) &
                                                   ) * adv_sca_5
 
-             swap_diss_x_local(k,j,tn) = -ABS( u_comp ) * (                  &
-                                      10.0 * ( sk(k,j,i)   - sk(k,j,i-1) )   &
-                                    -  5.0 * ( sk(k,j,i+1) - sk(k,j,i-2) )   &
-                                    +        ( sk(k,j,i+2) - sk(k,j,i-3) )   &
+             swap_diss_x_local(k,j,tn) = -ABS( u_comp ) * (                   &
+                                      10.0_wp * ( sk(k,j,i)   - sk(k,j,i-1) ) &
+                                    -  5.0_wp * ( sk(k,j,i+1) - sk(k,j,i-2) ) &
+                                    +           ( sk(k,j,i+2) - sk(k,j,i-3) ) &
                                                           ) * adv_sca_5
 
@@ -558,8 +564,8 @@
        ENDIF
 
-       flux_t(0) = 0.0
-       diss_t(0) = 0.0
-       flux_d    = 0.0
-       diss_d    = 0.0
+       flux_t(0) = 0.0_wp
+       diss_t(0) = 0.0_wp
+       flux_d    = 0.0_wp
+       diss_d    = 0.0_wp
 !        
 !--    Now compute the fluxes and tendency terms for the horizontal and
@@ -576,32 +582,32 @@
 
           u_comp    = u(k,j,i+1) - u_gtrans
-          flux_r(k) = u_comp * (                                            &
-                     ( 37.0 * ibit2 * adv_sca_5                             &
-                  +     7.0 * ibit1 * adv_sca_3                             &
-                  +           ibit0 * adv_sca_1                             &
-                     ) *                                                    &
-                             ( sk(k,j,i+1) + sk(k,j,i)   )                  &
-              -      (  8.0 * ibit2 * adv_sca_5                             &
-                  +           ibit1 * adv_sca_3                             &
-                     ) *                                                    &
-                             ( sk(k,j,i+2) + sk(k,j,i-1) )                  &
-              +      (        ibit2 * adv_sca_5                             &
-                     ) *                                                    &
-                             ( sk(k,j,i+3) + sk(k,j,i-2) )                  &
+          flux_r(k) = u_comp * (                                              &
+                     ( 37.0_wp * ibit2 * adv_sca_5                            &
+                  +     7.0_wp * ibit1 * adv_sca_3                            &
+                  +              ibit0 * adv_sca_1                            &
+                     ) *                                                      &
+                             ( sk(k,j,i+1) + sk(k,j,i)   )                    &
+              -      (  8.0_wp * ibit2 * adv_sca_5                            &
+                  +              ibit1 * adv_sca_3                            &
+                     ) *                                                      &
+                             ( sk(k,j,i+2) + sk(k,j,i-1) )                    &
+              +      (           ibit2 * adv_sca_5                            &
+                     ) *                                                      &
+                             ( sk(k,j,i+3) + sk(k,j,i-2) )                    &
                                )
 
-          diss_r(k) = -ABS( u_comp ) * (                                    &
-                     ( 10.0 * ibit2 * adv_sca_5                             &
-                  +     3.0 * ibit1 * adv_sca_3                             &
-                  +           ibit0 * adv_sca_1                             &
-                     ) *                                                    &
-                             ( sk(k,j,i+1) - sk(k,j,i)  )                   &
-              -      (  5.0 * ibit2 * adv_sca_5                             &
-                  +           ibit1 * adv_sca_3                             &
-                     ) *                                                    &
-                             ( sk(k,j,i+2) - sk(k,j,i-1) )                  &
-              +      (        ibit2 * adv_sca_5                             &
-                     ) *                                                    &
-                             ( sk(k,j,i+3) - sk(k,j,i-2) )                  &
+          diss_r(k) = -ABS( u_comp ) * (                                      &
+                     ( 10.0_wp * ibit2 * adv_sca_5                            &
+                  +     3.0_wp * ibit1 * adv_sca_3                            &
+                  +              ibit0 * adv_sca_1                            &
+                     ) *                                                      &
+                             ( sk(k,j,i+1) - sk(k,j,i)  )                     &
+              -      (  5.0_wp * ibit2 * adv_sca_5                            &
+                  +              ibit1 * adv_sca_3                            &
+                     ) *                                                      &
+                             ( sk(k,j,i+2) - sk(k,j,i-1) )                    &
+              +      (           ibit2 * adv_sca_5                            &
+                     ) *                                                      &
+                             ( sk(k,j,i+3) - sk(k,j,i-2) )                    &
                                        )
 
@@ -611,32 +617,32 @@
 
           v_comp    = v(k,j+1,i) - v_gtrans
-          flux_n(k) = v_comp * (                                            &
-                     ( 37.0 * ibit5 * adv_sca_5                             &
-                  +     7.0 * ibit4 * adv_sca_3                             &
-                  +           ibit3 * adv_sca_1                             &
-                     ) *                                                    &
-                             ( sk(k,j+1,i) + sk(k,j,i)   )                  &
-              -      (  8.0 * ibit5 * adv_sca_5                             &
-                  +           ibit4 * adv_sca_3                             &
-                     ) *                                                    &
-                             ( sk(k,j+2,i) + sk(k,j-1,i) )                  &
-              +      (        ibit5 * adv_sca_5                             &
-                     ) *                                                    &
-                             ( sk(k,j+3,i) + sk(k,j-2,i) )                  &
+          flux_n(k) = v_comp * (                                              &
+                     ( 37.0_wp * ibit5 * adv_sca_5                            &
+                  +     7.0_wp * ibit4 * adv_sca_3                            &
+                  +              ibit3 * adv_sca_1                            &
+                     ) *                                                      &
+                             ( sk(k,j+1,i) + sk(k,j,i)   )                    &
+              -      (  8.0_wp * ibit5 * adv_sca_5                            &
+                  +              ibit4 * adv_sca_3                            &
+                     ) *                                                      &
+                             ( sk(k,j+2,i) + sk(k,j-1,i) )                    &
+              +      (           ibit5 * adv_sca_5                            &
+                     ) *                                                      &
+                             ( sk(k,j+3,i) + sk(k,j-2,i) )                    &
                                )
 
-          diss_n(k) = -ABS( v_comp ) * (                                    &
-                     ( 10.0 * ibit5 * adv_sca_5                             &
-                  +     3.0 * ibit4 * adv_sca_3                             &
-                  +           ibit3 * adv_sca_1                             &
-                     ) *                                                    &
-                             ( sk(k,j+1,i) - sk(k,j,i)    )                 &
-              -      (  5.0 * ibit5 * adv_sca_5                             &
-                  +           ibit4 * adv_sca_3                             &
-                     ) *                                                    &
-                             ( sk(k,j+2,i) - sk(k,j-1,i)  )                 &
-              +      (        ibit5 * adv_sca_5                             &
-                     ) *                                                    &
-                             ( sk(k,j+3,i) - sk(k,j-2,i) )                  &
+          diss_n(k) = -ABS( v_comp ) * (                                      &
+                     ( 10.0_wp * ibit5 * adv_sca_5                            &
+                  +     3.0_wp * ibit4 * adv_sca_3                            &
+                  +              ibit3 * adv_sca_1                            &
+                     ) *                                                      &
+                             ( sk(k,j+1,i) - sk(k,j,i)   )                    &
+              -      (  5.0_wp * ibit5 * adv_sca_5                            &
+                  +              ibit4 * adv_sca_3                            &
+                     ) *                                                      &
+                             ( sk(k,j+2,i) - sk(k,j-1,i) )                    &
+              +      (           ibit5 * adv_sca_5                            &
+                     ) *                                                      &
+                             ( sk(k,j+3,i) - sk(k,j-2,i) )                    &
                                        )
 !
@@ -652,31 +658,31 @@
 
 
-          flux_t(k) = w(k,j,i) * (                                          &
-                     ( 37.0 * ibit8 * adv_sca_5                             &
-                  +     7.0 * ibit7 * adv_sca_3                             &
-                  +           ibit6 * adv_sca_1                             &
-                     ) *                                                    &
-                             ( sk(k+1,j,i)  + sk(k,j,i)   )                 &
-              -      (  8.0 * ibit8 * adv_sca_5                             &
-                  +           ibit7 * adv_sca_3                             &
-                     ) *                                                    &
-                             ( sk(k_pp,j,i) + sk(k-1,j,i) )                 &
-              +      (        ibit8 * adv_sca_5                             &
-                     ) *     ( sk(k_ppp,j,i)+ sk(k_mm,j,i) )                &
+          flux_t(k) = w(k,j,i) * (                                            &
+                     ( 37.0_wp * ibit8 * adv_sca_5                            &
+                  +     7.0_wp * ibit7 * adv_sca_3                            &
+                  +              ibit6 * adv_sca_1                            &
+                     ) *                                                      &
+                             ( sk(k+1,j,i)  + sk(k,j,i)    )                  &
+              -      (  8.0_wp * ibit8 * adv_sca_5                            &
+                  +              ibit7 * adv_sca_3                            &
+                     ) *                                                      &
+                             ( sk(k_pp,j,i) + sk(k-1,j,i)  )                  &
+              +      (           ibit8 * adv_sca_5                            &
+                     ) *     ( sk(k_ppp,j,i)+ sk(k_mm,j,i) )                  &
                                  )
 
-          diss_t(k) = -ABS( w(k,j,i) ) * (                                  &
-                     ( 10.0 * ibit8 * adv_sca_5                             &
-                  +     3.0 * ibit7 * adv_sca_3                             &
-                  +           ibit6 * adv_sca_1                             &
-                     ) *                                                    &
-                             ( sk(k+1,j,i)   - sk(k,j,i)    )               &
-              -      (  5.0 * ibit8 * adv_sca_5                             &
-                  +           ibit7 * adv_sca_3                             &
-                     ) *                                                    &
-                             ( sk(k_pp,j,i)  - sk(k-1,j,i)  )               &
-              +      (        ibit8 * adv_sca_5                             &
-                     ) *                                                    &
-                             ( sk(k_ppp,j,i) - sk(k_mm,j,i) )               &
+          diss_t(k) = -ABS( w(k,j,i) ) * (                                    &
+                     ( 10.0_wp * ibit8 * adv_sca_5                            &
+                  +     3.0_wp * ibit7 * adv_sca_3                            &
+                  +              ibit6 * adv_sca_1                            &
+                     ) *                                                      &
+                             ( sk(k+1,j,i)   - sk(k,j,i)    )                 &
+              -      (  5.0_wp * ibit8 * adv_sca_5                            &
+                  +              ibit7 * adv_sca_3                            &
+                     ) *                                                      &
+                             ( sk(k_pp,j,i)  - sk(k-1,j,i)  )                 &
+              +      (           ibit8 * adv_sca_5                            &
+                     ) *                                                      &
+                             ( sk(k_ppp,j,i) - sk(k_mm,j,i) )                 &
                                          )
 !
@@ -712,22 +718,22 @@
 
           u_comp    = u(k,j,i+1) - u_gtrans
-          flux_r(k) = u_comp * (                                            &
-                      37.0 * ( sk(k,j,i+1) + sk(k,j,i)   )                  &
-                    -  8.0 * ( sk(k,j,i+2) + sk(k,j,i-1) )                  &
-                    +        ( sk(k,j,i+3) + sk(k,j,i-2) ) ) * adv_sca_5
-          diss_r(k) = -ABS( u_comp ) * (                                    &
-                      10.0 * ( sk(k,j,i+1) - sk(k,j,i)   )                  &
-                    -  5.0 * ( sk(k,j,i+2) - sk(k,j,i-1) )                  &
-                    +        ( sk(k,j,i+3) - sk(k,j,i-2) ) ) * adv_sca_5
+          flux_r(k) = u_comp * (                                              &
+                      37.0_wp * ( sk(k,j,i+1) + sk(k,j,i)   )                 &
+                    -  8.0_wp * ( sk(k,j,i+2) + sk(k,j,i-1) )                 &
+                    +           ( sk(k,j,i+3) + sk(k,j,i-2) ) ) * adv_sca_5
+          diss_r(k) = -ABS( u_comp ) * (                                      &
+                      10.0_wp * ( sk(k,j,i+1) - sk(k,j,i)   )                 &
+                    -  5.0_wp * ( sk(k,j,i+2) - sk(k,j,i-1) )                 &
+                    +           ( sk(k,j,i+3) - sk(k,j,i-2) ) ) * adv_sca_5
 
           v_comp    = v(k,j+1,i) - v_gtrans
-          flux_n(k) = v_comp * (                                            &
-                      37.0 * ( sk(k,j+1,i) + sk(k,j,i)   )                  &
-                    -  8.0 * ( sk(k,j+2,i) + sk(k,j-1,i) )                  &
-                    +        ( sk(k,j+3,i) + sk(k,j-2,i) ) ) * adv_sca_5
-          diss_n(k) = -ABS( v_comp ) * (                                    &
-                      10.0 * ( sk(k,j+1,i) - sk(k,j,i)   )                  &
-                    -  5.0 * ( sk(k,j+2,i) - sk(k,j-1,i) )                  &
-                    +        ( sk(k,j+3,i) - sk(k,j-2,i) ) ) * adv_sca_5
+          flux_n(k) = v_comp * (                                              &
+                      37.0_wp * ( sk(k,j+1,i) + sk(k,j,i)   )                 &
+                    -  8.0_wp * ( sk(k,j+2,i) + sk(k,j-1,i) )                 &
+                    +           ( sk(k,j+3,i) + sk(k,j-2,i) ) ) * adv_sca_5
+          diss_n(k) = -ABS( v_comp ) * (                                      &
+                      10.0_wp * ( sk(k,j+1,i) - sk(k,j,i)   )                 &
+                    -  5.0_wp * ( sk(k,j+2,i) - sk(k,j-1,i) )                 &
+                    +           ( sk(k,j+3,i) - sk(k,j-2,i) ) ) * adv_sca_5
 !
 !--       k index has to be modified near bottom and top, else array
